IntervalQueryNode (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.nodes, class: IntervalQueryNode

Package org.apache.lucene.queryparser.flexible.standard.nodes

# Class IntervalQueryNode

java.lang.Object
org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
org.apache.lucene.queryparser.flexible.standard.nodes.IntervalQueryNode

All Implemented Interfaces:
  `Cloneable`, `FieldableNode`, `QueryNode`

public class IntervalQueryNode extends QueryNodeImpl implements FieldableNode
Node that represents an interval function.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntervalQueryNode(String field, IntervalFunction source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntervalQueryNode`
  `cloneTree()`
  Recursive clone the QueryNode tree.
  `CharSequence`
  `getField()`
  `Query`
  `getQuery()`
  `void`
  `setAnalyzer(Analyzer analyzer)`
  `void`
  `setField(CharSequence fieldName)`
  Associates the node to a field.
  `String`
  `toQueryString(EscapeQuerySyntax escapeSyntaxParser)`
  convert to a query string understood by the query parser
  `String`
  `toString()`
  Every implementation of this class should return pseudo xml like this:

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

  `add, add, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- ## Constructor Details

  - ### IntervalQueryNode

    public IntervalQueryNode(String field, IntervalFunction source)

- ## Method Details

  - ### getQuery

    public Query getQuery()

  - ### toQueryString

    public String toQueryString(EscapeQuerySyntax escapeSyntaxParser)
    Description copied from interface: `QueryNode`
    convert to a query string understood by the query parser
    Specified by:
      `toQueryString` in interface `QueryNode`

  - ### toString

    public String toString()
    Description copied from class: `QueryNodeImpl`
    Every implementation of this class should return pseudo xml like this:

    For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    Specified by:
      `toString` in interface `QueryNode`
    Overrides:
      `toString` in class `QueryNodeImpl`
    See Also:
      - `QueryNode.toString()`

  - ### getField

    public CharSequence getField()
    Specified by:
      `getField` in interface `FieldableNode`
    Returns:
      name of the filed associated to the node and every node under it

  - ### setField

    public void setField(CharSequence fieldName)
    Description copied from interface: `FieldableNode`
    Associates the node to a field.
    Specified by:
      `setField` in interface `FieldableNode`
    Parameters:
      `fieldName` - the field name

  - ### cloneTree

    public IntervalQueryNode cloneTree()
    Description copied from interface: `QueryNode`
    Recursive clone the QueryNode tree. The tags are not copied to the new tree when you call the cloneTree() method.
    Specified by:
      `cloneTree` in interface `QueryNode`
    Overrides:
      `cloneTree` in class `QueryNodeImpl`
    Returns:
      the cloned tree

  - ### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)